.TH GPIV_IMGPROC 1 "21 October 2010"
.SH NAME
gpiv_imgproc \- Image processing program for (PIV) images.

.SH SYNOPSIS

\fBgpiv_imgproc\fP
[\fB-b \fIN\fR] 
[\fB--filter \fIN\fR] 
[\fB-h\fR | \fB--help\fR] 
[\fB-p\fR | \fB--print\fR] 
[\fB-o \fIN\fR | \fB--operation \fIN\fR] 
[\fB-t \fIN\fR | \fB--threshold \fIN\fR] 
[\fB-w \fIN\fR] 
[\fB-v\fR | \fB--version\fR] 
[\fB-i\fR | \fB--image\fR \fIfilename\fR]
[\fIfilename\fR] 
< \fIstdin\fR > \fIstdout\fR

\fP

.SH DESCRIPTION

\fBgpiv_imgproc\fP processes, filters or converts images in order to
improve the interrogation for Particle Image Velocimetry.
\fBgpiv_smooth\fR: smoothing filter,
\fBgpiv_hilo \fR: high-low filter,
\fBgpiv_clip\fR: clipping,
\fBgpiv_fft\fR: Fast Fourier Transform,
\fBgpiv_invfft\fR: Inverse  Fast Fourier Transform,
\fBgpiv_highpass\fR: high-pass filtering
\fBgpiv_getbit\fR: get bit bumber.
\fBgpiv_mktestimg\fR: generates test image-pair for PIV
\fBgpiv_subtr-img\fR: subtracts an image from the input data

The parameters read from the configuration resources (containing the
key \fBGPIV_IMGPROC\fR) may be overruled by the command line options, as
explained below.

.SH Options 
.TP 
\fB-b \fIN\fP
In case of using \fBgpiv_getbit\fR \fIN\fP denotes the bit number [0, .., 7]
.TP

\fB-f\fR | \fB--filter \fIN\fR
 Image filter to be applied: make test image (\fIN\fR=0), subtract
image (\fIN\fR=1), smoothing (\fIN\fR=2), high-low filtering
(\fIN\fR=3), clipping (\fIN\fR=4), fft (\fIN\fR=5), inverse fft
(\fIN\fR=6), lowpass filter (\fIN\fR=9), highpass filter (\fIN\fR=10),
getbit (\fIN\fR=11).
.TP

\fB-h\fR | \fB--help\fP
On-line help
.TP

\fB-i\fR | \fB--image\fR \fIfilename\fR
Only used for subtracting an image from the input image: image
filename used for subtraction. Default: background.png. This might,
for example, be a background image that has been produced by
\fBgpiv_t-avg-img\fR.  Image subtracting can also be performed by using
\fBgpiv_subtr-img\fR.
.TP

\fB-o \fIN\fR | \fB--operation \fIN\fR
In case of using \fBgpiv_smooth\fR: set pixel equal to the mean of the
window value (\fIN\fR0), subtract mean from from pixel (\fIN\fR1) add
(\fIN\fR2), multiply (\fIN\fR3) or divide (\fIN\fR4)
.TP

\fB-t \fIN\fR | \fB--threshold \fIN\fR
In case of using \fBgpiv_clip\fR: threshold value to be set to zero
.TP

\fB-v\fR | \fB--version\fP
Print version information on standard output, then exit successfully.
.TP

\fB-w \fIN\fR
window size (default: 15)
.TP 

\fIfilename\fR 
Input image filename. Overrides \fIstdin\fR and \fIstdout\fR with the full \fIfilename\fR of
the image. Output will be written to \fIfilename\fB.png\fR. Parameters
are stored in \fIfilename\fB.par\fR and may be used for future use by
including them in \fI./gpivrc\fR. If \fIstdin\fR and \fIstdout\fR are
used, the input is expected to be a PNG formatted image.
.TP


.SH SEE ALSO
gpivtools

.SH AUTHOR
Gerber Van der Graaf
